JNA API 3.3.0

## com.sun.jna
Interface FromNativeConverter

All Known Subinterfaces:
  TypeConverter

All Known Implementing Classes:
  NativeMappedConverter

    public interface FromNativeConverter

Define conversion from a native type to the appropriate Java type.

Method Summary
`Object` | `fromNative(Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
`Class` | `nativeType()` Indicate the native type used by this converter.

Method Detail

### fromNative

    Object fromNative(Object nativeValue,
                      FromNativeContext context)

  Convert the given native object into its Java representation using the given context.

### nativeType

    Class nativeType()

  Indicate the native type used by this converter.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.